# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-12 06:26
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('name', models.CharField(max_length=50, verbose_name='Nombre')),
                ('code', models.CharField(max_length=40, verbose_name='Código')),
            ],
            options={
                'verbose_name': 'Permiso',
                'verbose_name_plural': 'Permisos',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(editable=False, max_length=6, unique=True, verbose_name='Código')),
                ('name', models.CharField(max_length=40, verbose_name='Nombre')),
                ('permissions', models.ManyToManyField(related_name='roles', to='security.Permission', verbose_name='Permisos')),
            ],
            options={
                'verbose_name': 'Rol',
                'verbose_name_plural': 'Roles',
                'default_related_name': 'roles',
            },
        ),
        migrations.CreateModel(
            name='System',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(max_length=2, verbose_name='Código')),
                ('name', models.CharField(max_length=30, verbose_name='Nombre')),
                ('image', models.ImageField(blank=True, null=True, upload_to='System/images', verbose_name='Imagen')),
                ('path', models.CharField(max_length=50, null=True, verbose_name='Ruta del Sistema')),
            ],
            options={
                'verbose_name': 'Sistema',
                'verbose_name_plural': 'Sistemas',
                'ordering': ('code',),
            },
        ),
        migrations.AddField(
            model_name='role',
            name='system',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='security.System', verbose_name='Sistema'),
        ),
        migrations.AddField(
            model_name='permission',
            name='system',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='security.System', verbose_name='Sistema'),
        ),
    ]
